#pragma once

#include "CoreMinimal.h"
#include "SourceBasedOutlineUpdateStrategy.h"
#include "K41MushroomOutlineUpdateStrategy.generated.h"

class UFloatValueStrategy;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THEK41_API UK41MushroomOutlineUpdateStrategy : public USourceBasedOutlineUpdateStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _survivorMaxDistanceToSeeAura;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _isAlwaysVisible;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced, meta=(AllowPrivateAccess=true))
	UFloatValueStrategy* _minimumOutlineDistanceWhenIsAlwaysVisible;

public:
	UK41MushroomOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UK41MushroomOutlineUpdateStrategy) { return 0; }
